# Semantic Segmentation (png images)

###

### Export archive directory and file structure <a href="#export-archive-directory-and-file-structure" id="export-archive-directory-and-file-structure"></a>

```basic
project_folder
|-- label_classes.json
|-- dataset1_name
    |-- image1.png
    |-- image2.png
    |-- ...
|-- dataset2_name
    |-- image1.png
    |-- image2.png
    |-- ...
|-- ...
```

### label\_classes.json structure <a href="#label-classes-json-structure" id="label-classes-json-structure"></a>

The file contains the definition of all label classes and corresponding pixel values of the images

```json
[
  {
    "png_index": 1,
    "class_name": "bedclothes",
    "color": "#4df3ce",
    "class_type": "object"
  },
  {
    "png_index": 2,
    "class_name": "building",
    "color": "#4c4ffc",
    "class_type": "object"
  },
  {...},
  {...}
]
```

### The Label Class object <a href="#the-label-class-object" id="the-label-class-object"></a>

#### Attributes <a href="#attributes" id="attributes"></a>

**png\_index** *integer*\\\
Pixel index

**class\_name** *string*\\\
The name of the class

**color** *string*\\\
Associated with the label class color, in format #RRGGBBAA

**class\_type** *string* Class type, "object" or "background"

### Image description <a href="#image-description" id="image-description"></a>

All the images contain a single channel and are stored as 8-bit pixels, black and white. 0 - is a background.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cloudfactory.com/export-formats/semantic-segmentation-png-images.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
